From e01eb21daa1c8e11333e3f403047a22f22ba1dbd Mon Sep 17 00:00:00 2001
From: Adonay Felipe Nogueira <adfeno@hyperbola.info>
Date: Sun, 20 Aug 2017 15:57:24 -0300
Subject: [PATCH] Use (rx irregex) module.

Per the irregex documentation, this assumes that "irregex-guile.scm"
is installed as "irregex.scm".
---
 README.md                        |    3 +-
 artanis/commands/create.scm      |    2 +-
 artanis/commands/draw.scm        |    2 +-
 artanis/commands/migrate.scm     |    2 +-
 artanis/debug.scm                |    2 +-
 artanis/irregex.scm              | 3855 --------------------------------------
 artanis/mvc/migration.scm        |    2 +-
 artanis/mvc/model.scm            |    2 +-
 artanis/route.scm                |    2 +-
 artanis/sql-mapping/handlers.scm |    2 +-
 artanis/sql-mapping/mapping.scm  |    2 +-
 artanis/ssql.scm                 |    2 +-
 artanis/third-party/json.scm     |    2 +-
 artanis/tpl/lexer.scm            |    2 +-
 artanis/upload.scm               |    2 +-
 artanis/utils.scm                |    2 +-
 artanis/websocket.scm            |    2 +-
 17 files changed, 17 insertions(+), 3871 deletions(-)
 delete mode 100644 artanis/irregex.scm

diff --git a/artanis/commands/create.scm b/artanis/commands/create.scm
index 89539ed..5b1954b 100644
--- a/artanis/commands/create.scm
+++ b/artanis/commands/create.scm
@@ -21,7 +21,7 @@
   #:use-module (artanis utils)
   #:use-module (artanis env)
   #:use-module (artanis commands)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (ice-9 rdelim)
   #:use-module (ice-9 format)
   #:use-module (ice-9 match))
diff --git a/artanis/commands/draw.scm b/artanis/commands/draw.scm
index 9f02c70..2e0ec84 100644
--- a/artanis/commands/draw.scm
+++ b/artanis/commands/draw.scm
@@ -21,7 +21,7 @@
   #:use-module (artanis utils)
   #:use-module (artanis env)
   #:use-module (artanis commands)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis mvc model)
   #:use-module (artanis mvc controller)
   #:use-module (artanis mvc view)
diff --git a/artanis/commands/migrate.scm b/artanis/commands/migrate.scm
index c1968ca..80ad0fa 100644
--- a/artanis/commands/migrate.scm
+++ b/artanis/commands/migrate.scm
@@ -21,7 +21,7 @@
   #:use-module (artanis utils)
   #:use-module (artanis env)
   #:use-module (artanis commands)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis config)
   #:use-module (artanis db)
   #:use-module (ice-9 match)
diff --git a/artanis/debug.scm b/artanis/debug.scm
index 68f135f..77fee26 100644
--- a/artanis/debug.scm
+++ b/artanis/debug.scm
@@ -22,7 +22,7 @@
   #:use-module (artanis env)
   #:use-module (artanis config)
   #:use-module (artanis inotify)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis mvc controller)
   #:use-module (artanis mvc model)
   #:use-module (ice-9 match)
diff --git a/artanis/mvc/migration.scm b/artanis/mvc/migration.scm
index 3f4f69d..b8021e7 100644
--- a/artanis/mvc/migration.scm
+++ b/artanis/mvc/migration.scm
@@ -20,7 +20,7 @@
 (define-module (artanis mvc migration)
   #:use-module (artanis utils)
   #:use-module (artanis env)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis fprm)
   #:use-module (artanis db)
   #:use-module (ice-9 format)
diff --git a/artanis/mvc/model.scm b/artanis/mvc/model.scm
index 9585362..581ac03 100644
--- a/artanis/mvc/model.scm
+++ b/artanis/mvc/model.scm
@@ -22,7 +22,7 @@
   #:use-module (artanis env)
   #:use-module (artanis fprm)
   #:use-module (artanis db)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (ice-9 match)
   #:use-module (ice-9 format)
   #:use-module (srfi srfi-1)
diff --git a/artanis/route.scm b/artanis/route.scm
index 14a5d5f..cd7d70d 100644
--- a/artanis/route.scm
+++ b/artanis/route.scm
@@ -21,7 +21,7 @@
   #:use-module (artanis utils)
   #:use-module (artanis cookie)
   #:use-module (artanis env)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-9)
   #:use-module (web uri)
diff --git a/artanis/sql-mapping/handlers.scm b/artanis/sql-mapping/handlers.scm
index 95d51c9..510d004 100644
--- a/artanis/sql-mapping/handlers.scm
+++ b/artanis/sql-mapping/handlers.scm
@@ -20,7 +20,7 @@
 (define-module (artanis sql-mapping handlers)
   #:use-module (artanis utils)
   #:use-module (artanis config)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:export (get-sm-opt-handler))
 
 ;; NOTE: For handlers, there's convention for return value.
diff --git a/artanis/sql-mapping/mapping.scm b/artanis/sql-mapping/mapping.scm
index fce01eb..be4bd12 100644
--- a/artanis/sql-mapping/mapping.scm
+++ b/artanis/sql-mapping/mapping.scm
@@ -20,7 +20,7 @@
 (define-module (artanis sql-mapping mapping)
   #:use-module (artanis sql-mapping handlers)
   #:use-module (artanis utils)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis route)
   #:use-module (ice-9 receive)
   #:use-module (ice-9 rdelim)
diff --git a/artanis/ssql.scm b/artanis/ssql.scm
index 638bd0b..54d9521 100644
--- a/artanis/ssql.scm
+++ b/artanis/ssql.scm
@@ -19,7 +19,7 @@
 
 (define-module (artanis ssql)
   #:use-module (artanis utils)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (ice-9 match)
   #:use-module (ice-9 receive)
   #:use-module (ice-9 format)
diff --git a/artanis/third-party/json.scm b/artanis/third-party/json.scm
index 8c8c459..826bad2 100644
--- a/artanis/third-party/json.scm
+++ b/artanis/third-party/json.scm
@@ -27,7 +27,7 @@
   #:use-module (artanis third-party json upstream builder)
   #:use-module (artanis third-party json upstream parser)
   #:use-module (artanis third-party json upstream syntax)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (srfi srfi-1)
   #:export (->json-string)
   #:re-export (scm->json
diff --git a/artanis/tpl/lexer.scm b/artanis/tpl/lexer.scm
index 1d61838..af732d4 100644
--- a/artanis/tpl/lexer.scm
+++ b/artanis/tpl/lexer.scm
@@ -19,7 +19,7 @@
 
 (define-module (artanis tpl lexer)
   #:use-module (artanis tpl utils)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (ice-9 rdelim)
   #:use-module (ice-9 receive)
   #:use-module (system base lalr)
diff --git a/artanis/upload.scm b/artanis/upload.scm
index 48263ca..9297825 100644
--- a/artanis/upload.scm
+++ b/artanis/upload.scm
@@ -20,7 +20,7 @@
 (define-module (artanis upload)
   #:use-module (artanis utils)
   #:use-module (artanis config)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis mime)
   #:use-module (artanis route)
   #:use-module (ice-9 rdelim)
diff --git a/artanis/utils.scm b/artanis/utils.scm
index 4220ed4..8512c17 100644
--- a/artanis/utils.scm
+++ b/artanis/utils.scm
@@ -23,7 +23,7 @@
   #:use-module (artanis crypto base64)
   #:use-module (artanis tpl sxml)
   #:use-module (artanis config)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (artanis env)
   #:use-module (artanis mime)
   #:use-module (system foreign)
diff --git a/artanis/websocket.scm b/artanis/websocket.scm
index 4d97abd..3f794d1 100644
--- a/artanis/websocket.scm
+++ b/artanis/websocket.scm
@@ -22,7 +22,7 @@
   #:use-module (artanis crypto base64)
   #:use-module (artanis server server-context)
   #:use-module (artanis server scheduler)
-  #:use-module (artanis irregex)
+  #:use-module (rx irregex)
   #:use-module (ice-9 iconv)
   #:use-module (rnrs bytevectors)
   #:use-module (web request)
-- 
1.9.1

